Part3 Developers

Organization stats

GET /organization/{orgId}/stats

Get an organization snapshot

GET
/organization/{orgId}/stats
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Organization ID. Returned from GET /v1/client/me for client tokens, or any org-list response.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.part3.io/v1/organization/org_8a1b2c3d4e/stats"
{
  "projectCount": 18,
  "memberCount": 42,
  "documents": {
    "total": 412,
    "open": 87,
    "overdue": 14,
    "byType": {
      "RFI": 142,
      "Submittal": 198,
      "CO": 24,
      "SI": 31,
      "Certificate": 12,
      "Bulletin": 5,
      "Quote": 0
    },
    "byStatus": {
      "closed": 285,
      "issued": 47,
      "with-consultants": 32,
      "submitted": 18,
      "draft": 14,
      "returned": 16
    },
    "byTypeAndStatus": {
      "RFI": {
        "closed": 110,
        "issued": 22,
        "with-consultants": 10
      },
      "Submittal": {
        "closed": 140,
        "submitted": 18,
        "returned": 16,
        "draft": 14
      },
      "CO": {
        "closed": 20,
        "issued": 4
      }
    }
  }
}
{
  "error": "Insufficient permissions"
}
{
  "error": "Insufficient permissions"
}